Subject: Re: linux-next: Tree for October 1 (staging/olpc_dcon)

From: Andres Salomon <[email-masked]>
Date: Tue, 5 Oct 2010 12:33:02 -0700

On Tue, 5 Oct 2010 12:08:18 -0700
Greg KH <[email-masked]> wrote:

> On Sat, Oct 02, 2010 at 06:03:34PM -0700, Andres Salomon wrote:
> > On Sat, 2 Oct 2010 11:51:54 -0700
> > Greg KH <[email-masked]> wrote:
> > 
> > > On Fri, Oct 01, 2010 at 07:24:54PM -0700, Andres Salomon wrote:
> > > > On Fri, 1 Oct 2010 15:45:31 -0700
> > > > Randy Dunlap <[email-masked]> wrote:
> > > > 
> > > > > On Fri, 1 Oct 2010 15:37:56 +1000 Stephen Rothwell wrote:
> > > > > 
> > > > > > Hi all,
> > > > > > 
> > > > > > Changes since 20100930:
> > > > > 
> > > > > 
> > > > > drivers/staging/olpc_dcon/olpc_dcon_xo_1.c:57: error: implicit
> > > > > declaration of function 'geode_gpio_event_irq'
> > > > > drivers/staging/olpc_dcon/olpc_dcon_xo_1.c:57: error: implicit
> > > > > declaration of function 'geode_gpio'
> > > > 
> > > > Yep, it's pending a cs5535-gpio patch
> > > > (https://patchwork.kernel.org/patch/209482/).
> > > 
> > > Wait, as I didn't apply the later patches, what I did apply should
> > > have still built properly (remember our rule, no breakage at any
> > > point in a patch series.)  So, should I revert the last olpc patch
> > > that caused this problem?
> > > 
> > 
> > Sorry, I thought that was made clear by the "this patch is necessary
> > for building the driver" comments in each patch description.  The
> > original driver that was submitted doesn't build unless all patches
> > are applied (the only which touches external APIs is the pending
> > cs5535-gpio one).
> 
> Ok, I'll go mark the driver as depending on CONFIG_BROKEN for now,
> until we get that resolved, as we can't have a driver that breaks the
> build in the tree.
> 
> thanks,
> 
> greg k-h

Sounds good.  After the two outstanding patches are applied,
CONFIG_BROKEN can be safely removed.